{
  imports = [ ../../../common/services/nginx.nix ];
  services.nginx.virtualHosts = {
    "anarkafem.dev" = {
      enableACME = true;
      forceSSL = true;
      locations."/".root = "/var/www/anarkafem.dev/public";
      locations."/_matrix/".proxyPass = "http://127.0.0.1:8008";
      locations."/_synapse".proxyPass = "http://127.0.0.1:8008";
      locations."/.well-known/matrix/" = {
        root = "/var/www/matrix/public";
        extraConfig = ''
          default_type application/json;
          add_header Access-Control-Allow-Origin "*";
          add_header Strict-Transport-Security $hsts_header;
          add_header Referrer-Policy "origin-when-cross-origin";
          add_header X-Frame-Options "DENY";
          add_header X-Content-Type-Options "nosniff";
          add_header X-XSS-Protection "1; mode=block";
        '';
      };
    };
		"cal.anarkafem.dev" = {
			enableACME = true;
			forceSSL = true;
			locations."/".proxyPass = "http://127.0.0.1:4000";
		};
		"auth.anarkafem.dev" = {
			enableACME = true;
			forceSSL = true;
			locations."/".proxyPass = "http://127.0.0.1:9000";
		};
    "beanz.one" = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        root = "/var/www/beanz.one/public";
      };
    };
  };
}
