{ config, ... }:

{
	services.borgbackup.jobs = {
		gitea = {
			paths = "/var/lib/gitea";
			repo = "ssh://borg@despondos.nao.sh//mnt/slab/backup/wind/gitea";
			encryption.mode = "repokey";
			encryption.passCommand = "cat ${config.secrets.files.borg_pass_gitea.file}";
			environment.BORG_RSH = "ssh -i ${config.secrets.files.ssh_key_gitea.file}";
			compression = "auto,zstd";
			startAt = "*-*-* 02:15:00";
			user = "gitea";
		};
		postgres = {
			paths = "/var/lib/postgresql/backup";
			repo = "ssh://borg@despondos.nao.sh//mnt/slab/backup/wind/postgres";
			encryption.mode = "repokey";
			encryption.passCommand = "cat ${config.secrets.files.borg_pass_postgres.file}";
			environment.BORG_RSH = "ssh -i ${config.secrets.files.ssh_key_postgres.file}";
			compression = "auto,zstd";
			startAt = "*-*-* 03:15:00";
			user = "postgres";
		};
		synapse = {
			paths = "/var/lib/matrix-synapse";
			repo = "ssh://borg@despondos.nao.sh//mnt/slab/backup/wind/synapse";
			encryption.mode = "repokey";
			encryption.passCommand = "cat ${config.secrets.files.borg_pass_synapse.file}";
			environment.BORG_RSH = "ssh -i ${config.secrets.files.ssh_key_synapse.file}";
			compression = "auto,zstd";
			startAt = "*-*-* 03:15:00";
			user = "matrix-synapse";
		};
	};
}
